

RunFile = goProcLib.Getstring("Setup","RunFile")

lcLocalFilename  = Addbs(pWorkDir) +RunFile
lcRemoteFilename  = RunFile

Local loFtp As CHILKATFTP2Lib.CHILKATFTP2Lib, lnSuccess

loFtp = Createobject('Chilkat.Ftp2')

lnSuccess = loFtp.UnlockComponent("FTP$TEAM$BEAN_6205CB779R9V")
If (lnSuccess <> 1) Then
	=Messagebox(loFtp.LastErrorText,48,'' ,2000)
	Release loFtp
	Return
Endif

loFtp.HostName =  pFtpHost  
loFtp.Username =  pFtpUserName  
loFtp.Password =  pFtpPassWord  
loFtp.Port =   pFtpPort  

lnSuccess = loFtp.Connect()
If (lnSuccess <> 1) Then
	=Messagebox(loFtp.LastErrorText,48,'',3000)
	Release loFtp
	Return
Endif

If (loFtp.IsConnected = 1) Then
	lnSuccess = loFtp.ChangeRemoteDir("..")
	lnSelect = SELECT()
	SELECT 0
	If SQLExec(goAppSys.hAccCnn,"Select * From UA_Update_list",'Ua_Update')>0
		Select Ua_Update
		Scan
			lcLocalFilename  = Fullpath(FileName)
			lcRemoteFilename  = Alltrim(FileName)
			If File(lcLocalFilename)
				LocalFileDateTime = Fdate(lcLocalFilename  ,1)
			Else
				LocalFileDateTime = {^1920-01-01 00:00:00}
			Endif

			lnFileSize = loFtp.GetSizeByName( lcRemoteFilename )
			If (lnFileSize < 0) Then
				=Messagebox(lcRemoteFilename +"ļ!",48,'' ,3000)
			Else
				If ( LastModiDateTime > LocalFileDateTime ) Or (Not File(lcLocalFilename))
					lnSuccess = loFtp.AsyncGetFileStart( lcRemoteFilename , pWorkDir +"update\"+Alltrim(FileName))
					If (lnSuccess <> 1) Then
						=Messagebox(loFtp.LastErrorText,48,'' ,3000)
					Else
						Do While loFtp.AsyncFinished <> 1
							DoEvents Force
							lnReceive = loFtp.AsyncBytesReceived
							Try
								goAppSys.oAppmain.StatusBar.Panels(8).Text = "ظ: "+Ltrim(Str((lnReceive/lnFileSize)*100))+"%"
							Catch
							Endtry
						Enddo
						If (loFtp.AsyncSuccess = 1) Then	&&	=Messagebox("File Downloaded!",48,'' ,5000)
							Try
								Messagebox("Ѿµĸļ",48,'ʾ',5000)
								goAppSys.oAppmain.StatusBar.Panels(8).Text = ""
							Catch
							Endtry
						Else
						Endif
					Endif
				Endif
			Endif
		Endscan
		Use In Ua_Update
	Endif

	lnSuccess = loFtp.ChangeRemoteDir("..")
	loFtp.Disconnect()
	Release loFtp
	SELECT (lnSelect )
	
Endif

Try
	goAppSys.oAppmain.StatusBar.Panels(8).Text = ""
Catch
Endtry
